{ pkgs, ... }:

{
  # https://devenv.sh/packages/
  packages = [ pkgs.git ];

  # https://devenv.sh/languages/
  languages.python = {
    enable = true;
    venv = {
      enable = true;
      requirements = ''
        Faker==37.8.0
        greenlet==3.2.4
        psycopg==3.2.10
        psycopg-binary==3.2.10
        python-dotenv==1.1.1
        SQLAlchemy==2.0.44
        typing_extensions==4.15.0
        tzdata==2025.2
      '';
    };
  };

  # https://devenv.sh/services/
  # services.postgres.enable = true;

  enterShell = ''
    echo "Welcome to CS374-Database-Systems"
  '';

  # See full reference at https://devenv.sh/reference/options/
}
